CGAL 6.1 - 2D Generalized Barycentric Coordinates

Loading...
Searching...
No Matches
List of all members | Related Functions
CGAL::Barycentric_coordinates::Segment_coordinates_2< Traits > Class Template Reference
Reference Manual » Deprecated

`#include <CGAL/Barycentric_coordinates_2/segment_coordinates_2.h>`

## Definition

template<class Traits>
class CGAL::Barycentric_coordinates::Segment_coordinates_2< Traits >

The class `Segment_coordinates_2` implements barycentric coordinates with respect to an arbitrary non-degenerate segment along an arbitrary line in the plane.

This class is parameterized by a traits class `Traits`.

Deprecated:
  This part of the package is deprecated since the version 5.4 of CGAL.

Template Parameters

  Traits | must be a model of the concept `BarycentricTraits_2`.

## Related Functions
(Note that these are not member functions.)
template<class Traits >
std::array< typename Traits::FT, 2 > | compute_segment_coordinates_2 (const typename Traits::Point_2 &first_vertex, const typename Traits::Point_2 &second_vertex, const typename Traits::Point_2 &query_point, const Traits &barycentric_traits=Traits())
| This is a global function that takes both vertices of a segment and computes segment coordinates at a given query point with respect to these vertices.

## Types
typedef Traits::FT | FT
| Number type.
typedef Traits::Point_2 | Point_2
| Point type.
typedef unspecified_type | Vertex_range
| Range of vertices in a segment.

## Creation
| Segment_coordinates_2 (const Point_2 &first_vertex, const Point_2 &second_vertex, const Traits &b_traits=Traits())
| Creates the class `Segment_coordinates_2` that implements segment coordinates with respect to an arbitrary non-degenerate segment along an arbitrary line in the plane.

## Computation
template<class OutputIterator >
std::optional< OutputIterator > | operator() (const Point_2 &query_point, OutputIterator output)
| Computes segment barycentric coordinates for a chosen query point with respect to both vertices of the segment.

## Endpoint Accessors
const Vertex_range & | vertices () const
| Returns both vertices of the segment.
const Point_2 & | first_vertex () const
| Returns the first vertex of the segment.
const Point_2 & | second_vertex () const
| Returns the second vertex of the segment.

## Member Typedef Documentation

## ◆ Vertex_range

template<class Traits >

typedef unspecified_type CGAL::Barycentric_coordinates::Segment_coordinates_2< Traits >::Vertex_range

Range of vertices in a segment.

This type is a model of the concept `Range`. Its iterator type is `RandomAccessIterator`, and its value type is `Traits::Point_2`.

## Constructor & Destructor Documentation

## ◆ Segment_coordinates_2()

template<class Traits >

CGAL::Barycentric_coordinates::Segment_coordinates_2< Traits >::Segment_coordinates_2 | ( | const Point_2 & | first_vertex,
|  | const Point_2 & | second_vertex,
|  | const Traits & | b_traits = `Traits()`
| ) |  |

Creates the class `Segment_coordinates_2` that implements segment coordinates with respect to an arbitrary non-degenerate segment along an arbitrary line in the plane.

The segment is given by its two vertices.

Precondition
  Segment is not degenerate.

## Member Function Documentation

## ◆ operator()()

template<class Traits >
template<class OutputIterator >

std::optional< OutputIterator > CGAL::Barycentric_coordinates::Segment_coordinates_2< Traits >::operator() | ( | const Point_2 & | query_point,
|  | OutputIterator | output
| ) |  |

Computes segment barycentric coordinates for a chosen query point with respect to both vertices of the segment.

Computed coordinates are stored in the output iterator `output`.

## Friends And Related Function Documentation

## ◆ compute_segment_coordinates_2()

template<class Traits >

std::array< typename Traits::FT, 2 > compute_segment_coordinates_2 | ( | const typename Traits::Point_2 & | first_vertex,
|  | const typename Traits::Point_2 & | second_vertex,
|  | const typename Traits::Point_2 & | query_point,
|  | const Traits & | barycentric_traits = `Traits()`
| ) |  |
| related

This is a global function that takes both vertices of a segment and computes segment coordinates at a given query point with respect to these vertices.

Deprecated:
  This part of the package is deprecated since the version 5.4 of CGAL.

Template Parameters

  Traits | must be a model of the concept `BarycentricTraits_2`.